Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class LibQueryUtils

`java.lang.Object
oracle.security.xmlsec.liberty.v12.LibQueryUtils`

public class LibQueryUtils
extends java.lang.Object

Class containing static message utility methods.

Method Summary
`static java.util.List` | `getStatusCodeValues(oracle.security.xmlsec.samlp.Status s)` Extracts a samlp:Status element's StatusCode values for use in a URL query parameter, returning a `List` of strings.
`static java.util.List` | `parseMultiValueParam(java.lang.String param)` Parses a query parameter value containing multiple values, and returns a `List` of strings.
`static java.util.Properties` | `parseQueryString(java.lang.String queryString)` Parses the given URL query string, and returns a `Properties` object mapping query parameter names to values.
`static java.lang.String` | `signQueryString(java.lang.String queryString, oracle.security.crypto.core.PrivateKey privKey)` Signs a URL query string using the given private key, and returns a new string with the "SigAlg" and "Signature" parameters added.
`static java.lang.String` | `urlEncodeMultiValueParam(java.util.List values)` URL-encodes a list of strings as a single, space-separated value.
`static boolean` | `verifyQueryStringSignature(java.lang.String queryString, oracle.security.crypto.core.PublicKey pubKey)` Verifies the signature on a signed URL query string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseQueryString

    public static java.util.Properties parseQueryString(java.lang.String queryString)
                                                 throws java.net.MalformedURLException

  Parses the given URL query string, and returns a `Properties` object mapping query parameter names to values.
  Throws:
    `java.net.MalformedURLException`

### parseMultiValueParam

    public static java.util.List parseMultiValueParam(java.lang.String param)

  Parses a query parameter value containing multiple values, and returns a `List` of strings.

### urlEncodeMultiValueParam

    public static java.lang.String urlEncodeMultiValueParam(java.util.List values)

  URL-encodes a list of strings as a single, space-separated value.
  Parameters:
    `values` - A list of strings that represent multiple values of a single query parameter.
  Returns:
    A URL-encoded, space-separated value string.
  See Also:
    `getStatusCodeValues(Status)`

### getStatusCodeValues

    public static java.util.List getStatusCodeValues(oracle.security.xmlsec.samlp.Status s)

  Extracts a samlp:Status element's StatusCode values for use in a URL query parameter, returning a `List` of strings.
  See Also:
    `urlEncodeMultiValueParam(List)`

### signQueryString

    public static java.lang.String signQueryString(java.lang.String queryString,
                                                   oracle.security.crypto.core.PrivateKey privKey)
                                            throws oracle.security.xmlsec.dsig.SigningException

  Signs a URL query string using the given private key, and returns a new string with the "SigAlg" and "Signature" parameters added.
  Throws:
    `oracle.security.xmlsec.dsig.SigningException`

### verifyQueryStringSignature

    public static boolean verifyQueryStringSignature(java.lang.String queryString,
                                                     oracle.security.crypto.core.PublicKey pubKey)
                                              throws oracle.security.xmlsec.dsig.VerifyException

  Verifies the signature on a signed URL query string.
  Throws:
    `oracle.security.xmlsec.dsig.VerifyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.